function NP = EEDA(Psel,N)
% *************************************************************************
% Subspace Generation Procedure
% An attached funtion to the FSEDA code
% *************************************************************************
% The FSEDA Code is created on March 27, 2019 by A. Hedar & A.A. Allam
% The code is modified on Sep. 20, 2020.
% *************************************************************************

n = size(Psel,1);
tPsel = Psel';
mu = mean(tPsel);
sigma = cov(tPsel);
[V,D] = eig(sigma);
[~,ind] = sort(diag(D));
D(ind(1),ind(1)) = D(ind(n),ind(n));
sigma = V*D*V';
NP = mvnrnd(mu,sigma,N);

