function [inW,inS] = WeaklyDependent(Pcorr,n,OO)
% *************************************************************************
% Weakly Independent Variable Procedure
% An attached funtion to the FSEDA code
% *************************************************************************
% The FSEDA Code is created on March 27, 2019 by A. Hedar & A.A. Allam
% The code is modified on Sep. 20, 2020.
% *************************************************************************

% W   = the weakly independent variables
% S   = the strong indep. ones
% inW = the index place in the variable matix of W
% inS = the index place in the variable matix of S

S = [];
W = [];
inS = [];
inW = [];
corr1 = corrcoef(Pcorr');
k = 1;
h = 1;
for i = 1 : n
    t = 0;
    for j = 1 : n
        if i ~= j
             if abs(corr1(i,j)) >= OO 
                 t = 1;
             end
         end
    end
    if t == 0
          W(k,:) = Pcorr(i,:);
          k = k + 1;
          inW = [inW ; i];
    else
          S(h,:) = Pcorr(i,:);
          h = h + 1;
          inS = [inS ; i];
    end
end



